org.openrdf.http.object.exceptions
Class Conflict

java.lang.Object
  extended by java.lang.Throwable
      extended by java.lang.Exception
          extended by java.lang.RuntimeException
              extended by org.openrdf.http.object.exceptions.ResponseException
                  extended by org.openrdf.http.object.exceptions.Conflict
All Implemented Interfaces:
Serializable

public class Conflict
extends ResponseException

The request could not be completed due to a conflict with the current state of the resource. This code is only allowed in situations where it is expected that the user might be able to resolve the conflict and resubmit the request. The response body SHOULD include enough information for the user to recognize the source of the conflict. Ideally, the response entity would include enough information for the user or user agent to fix the problem; however, that might not be possible and is not required.

See Also:
Serialized Form

Constructor Summary
Conflict()
           
Conflict(String message)
           
Conflict(String message, String stack)
           
Conflict(String message, Throwable cause)
           
Conflict(Throwable cause)
           
 
Method Summary
 int getStatusCode()
           
 boolean isCommon()
           
 
Methods inherited from class org.openrdf.http.object.exceptions.ResponseException
create, create, getDetailMessage, getLongMessage, getShortMessage, printTo
 
Methods inherited from class java.lang.Throwable
fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait
 

Constructor Detail

Conflict

public Conflict()

Conflict

public Conflict(String message)

Conflict

public Conflict(String message,
                Throwable cause)

Conflict

public Conflict(Throwable cause)

Conflict

public Conflict(String message,
                String stack)
Method Detail

getStatusCode

public int getStatusCode()
Specified by:
getStatusCode in class ResponseException

isCommon

public boolean isCommon()
Specified by:
isCommon in class ResponseException


Copyright © 2004-2011 James Leigh Services Inc.. All Rights Reserved.